[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Please test eglibc 2.9-23+multiarch.2

Bastian Blank <waldi@debian.org> writes:

> What happens if someone install libc-bin without a new libc6 then?

At present, I would expect that to run into file conflicts with
libc6.  In the future, yes, that could be a problem without
appropriate Breaks: or Conflicts: declarations. :-/

One possible workaround could be to follow gtk+-2.0's lead: keep the
actual binaries in the lib package, but place them under /usr/lib and
have the bin package just ship symlinks to them.

Aaron M. Ucko, KB1CJC (amu at alum.mit.edu, ucko at debian.org)
http://www.mit.edu/~amu/ | http://stuff.mit.edu/cgi/finger/?amu@monk.mit.edu

Reply to: